classification
Title: Assertion failure (C:\Delphi\progs32\Python\PythonIDE\cPyRemoteDebugger.pas, line 1175).
Type: crash Stage: resolved
Components: Regular Expressions Versions: Python 2.7
process
Status: closed Resolution: not a bug
Dependencies: Superseder:
Assigned To: Nosy List: ezio.melotti, mrabarnett, nicolincioroianu, r.david.murray
Priority: normal Keywords:

Created on 2012-09-13 08:54 by nicolincioroianu, last changed 2012-09-13 12:58 by nicolincioroianu. This issue is now closed.

Messages (5)
msg170429 - (view) Author: Cioroianu Nicolin (nicolincioroianu) Date: 2012-09-13 08:54
Hello,

Running the following script frame:

import re
#import modulefinder

#m=str(raw_input("Get a string:"))
m= "IT_SetBusParameters(param1,param2,param3,param4,param5,param6)"
if m:
    cnt=m.count(',')
    if cnt:
        nr=0
        s=re.split(',',m)
        for nr in cnt:
            print s[i]
            i=i+1
        #PendingDeprecationWarning
        else:
            return
    print "finished"

I have used PyScripter as running ide.


I received the following failure:
Assertion failure (C:\Delphi\progs32\Python\PythonIDE\cPyRemoteDebugger.pas, line 1175).

Exception class: EAssertionFailed
Exception message: Assertion failure (C:\Delphi\progs32\Python\PythonIDE\cPyRemoteDebugger.pas, line 1175).
Exception address: 00908B3E
------------------------------------------------------------------------------
PyScripter version : 2.5.3.0 x86
Python DLL : python27.dll
Python Engine : peRemote
------------------------------------------------------------------------------
Stack list, generated 13.09.2012 09:45:16
(00507B39){PyScripter.exe} [00908B39] cPyRemoteDebugger.TPyRemoteInterpreter.ShutDownServer (Line 1175, "cPyRemoteDebugger.pas" + 41) + $1B
(00006609){PyScripter.exe} [00407609] System.@Assert + $25
(00507B39){PyScripter.exe} [00908B39] cPyRemoteDebugger.TPyRemoteInterpreter.ShutDownServer (Line 1175, "cPyRemoteDebugger.pas" + 41) + $1B
(00505F0D){PyScripter.exe} [00906F0D] cPyRemoteDebugger.TPyRemoteInterpreter.ReInitialize (Line 831, "cPyRemoteDebugger.pas" + 32) + $2
(003A45C5){PyScripter.exe} [007A55C5] cPyBaseDebugger.TPythonControl.PrepareRun (Line 871, "cPyBaseDebugger.pas" + 18) + $4
(003A469D){PyScripter.exe} [007A569D] cPyBaseDebugger.TPythonControl.Run (Line 897, "cPyBaseDebugger.pas" + 5) + $3
(00516455){PyScripter.exe} [00917455] frmPyIDEMain.TPyIDEMainForm.actRunExecute (Line 1901, "frmPyIDEMain.pas" + 8) + $A
(0005A8E3){PyScripter.exe} [0045B8E3] System.Classes.TBasicAction.Execute + $F
(000895F5){PyScripter.exe} [0048A5F5] Vcl.ActnList.TContainedAction.Execute + $31
(0008A350){PyScripter.exe} [0048B350] Vcl.ActnList.TCustomAction.Execute + $50
(0005A7A7){PyScripter.exe} [0045B7A7] System.Classes.TBasicActionLink.Execute + $13
(0020B1C9){PyScripter.exe} [0060C1C9] TB2Item.TTBCustomItem.Click (Line 1474, "TB2Item.pas" + 23) + $7
(0022FBA8){PyScripter.exe} [00630BA8] SpTBXItem.TSpTBXCustomItem.Click (Line 4400, "SpTBXItem.pas" + 2) + $2
(0020B0C2){PyScripter.exe} [0060C0C2] TB2Item.TTBCustomItem.ClickWndProc (Line 1423, "TB2Item.pas" + 29) + $5
(0005B5D8){PyScripter.exe} [0045C5D8] System.Classes.StdWndProc + $14
(001550C7){PyScripter.exe} [005560C7] Vcl.Forms.TApplication.ProcessMessage + $F3
(0015510A){PyScripter.exe} [0055610A] Vcl.Forms.TApplication.HandleMessage + $A
(00155449){PyScripter.exe} [00556449] Vcl.Forms.TApplication.Run + $C9
(00564A59){PyScripter.exe} [00965A59] PyScripter.PyScripter (Line 136, "" + 14) + $2
------------------------------------------------------------------------------
System   : Windows 7 Professional, Version: 6.1, Build: 1DB1, "Service Pack 1"
Processor: Intel,        Intel(R) Core(TM) i5-2520M CPU @ 2.50GHz, 2490 MHz MMX SSE SSE2 SSE3 SSSE3 SSE41 SSE42 64 bits DEP
Memory: 8142; free 5122
Display  : 1600x900 pixels, 32 bpp
------------------------------------------------------------------------------
List of loaded modules:
[00400000] C:\Program Files (x86)\PyScripter\PyScripter.exe
           2.5.3.0 - 2.5.3.0
[05BC0000] C:\Python27\DLLs\_socket.pyd
<1E1D0000> (no module version info)
[10000000] C:\Python27\DLLs\_ssl.pyd
           (no module version info)
[1D110000] C:\Python27\DLLs\select.pyd
           (no module version info)
[1D120000] C:\Python27\DLLs\unicodedata.pyd
           (no module version info)
[1E000000] C:\Windows\system32\python27.dll
           2.7.150.1013 - 2.7
           Python Core
[1E7A0000] C:\Windows\system32\pywintypes27.dll
           2.7.217.0 - 2.7.217.0
[1EA10000] C:\Python27\lib\site-packages\win32\win32file.pyd
           2.7.217.0 - 2.7.217.0
[1EB90000] C:\Python27\lib\site-packages\win32\win32pipe.pyd
           2.7.217.0 - 2.7.217.0
[65DF0000] C:\Windows\System32\itircl.dll
           6.1.7601.17514 - 6.1.7601.17514 (win7sp1_rtm.101119-1850)
           Microsoft® InfoTech IR Local DLL
[65E20000] C:\Windows\system32\hhctrl.ocx
           6.1.7600.16385 - 6.1.7600.16385 (win7_rtm.090713-1255)
           Microsoft® HTML Help Control
[66320000] C:\Windows\System32\itss.dll
           6.1.7600.16385 - 6.1.7600.16385 (win7_rtm.090713-1255)
           Microsoft® InfoTech Storage System Library
[66710000] C:\Windows\WinSxS\x86_microsoft.windows.gdiplus_6595b64144ccf1df_1.1.7601.17825_none_72d273598668a06b\gdiplus.dll
           6.1.7601.17825 - 6.1.7601.17825 (win7sp1_gdr.120420-1503)
           Microsoft GDI+
[668E0000] C:\Windows\system32\NetworkExplorer.dll
           6.1.7601.17514 - 6.1.7600.16385 (win7_rtm.090713-1255)
           Network Explorer
[66C20000] C:\Windows\system32\WMVCore.DLL
           12.0.7601.17514 - 12.0.7601.17514 (win7sp1_rtm.101119-1850)
           Windows Media Playback/Authoring DLL
[66E90000] C:\Windows\system32\wpdshext.dll
           6.1.7601.17514 - 6.1.7600.16385 (win7_rtm.090713-1255)
           Portable Devices Shell Extension
[670D0000] C:\Windows\system32\LINKINFO.dll
           6.1.7600.16385 - 6.1.7600.16385 (win7_rtm.090713-1255)
           Windows Volume Tracking
[671B0000] C:\Windows\System32\shdocvw.dll
           6.1.7601.17514 - 6.1.7600.16385 (win7_rtm.090713-1255)
           Shell Doc Object and Control Library
[67210000] C:\Windows\system32\EhStorAPI.dll
           6.1.7601.17514 - 6.1.7600.16385 (win7_rtm.090713-1255)
           Windows Enhanced Storage API
[67240000] C:\Windows\system32\audiodev.dll
           6.1.7601.17514 - 6.1.7600.16385 (win7_rtm.090713-1255)
           Portable Media Devices Shell Extension
[67280000] C:\Windows\system32\PortableDeviceApi.dll
           6.1.7601.17514 - 6.1.7600.16385 (win7_rtm.090713-1255)
           Windows Portable Device API Components
[67310000] C:\Windows\system32\ntshrui.dll
           6.1.7601.17755 - 6.1.7600.16385 (win7_rtm.090713-1255)
           Shell extensions for sharing
[67380000] C:\Windows\system32\WMASF.DLL
           12.0.7600.16385 - 12.0.7600.16385 (win7_rtm.090713-1255)
           Windows Media ASF DLL
[673C0000] C:\Windows\System32\DAVHLPR.dll
           6.1.7600.16385 - 6.1.7600.16385 (win7_rtm.090713-1255)
           DAV Helper DLL
[673D0000] C:\Windows\System32\davclnt.dll
           6.1.7601.17514 - 6.1.7601.17514 (win7sp1_rtm.101119-1850)
           Web DAV Client DLL
[673F0000] C:\Windows\system32\EhStorShell.dll
           6.1.7600.16385 - 6.1.7600.16385 (win7_rtm.090713-1255)
           Windows Enhanced Storage Shell Extension DLL
[67430000] C:\Windows\System32\ntlanman.dll
           6.1.7601.17514 - 6.1.7600.16385 (win7_rtm.090713-1255)
           Microsoft® Lan Manager
[67450000] C:\Windows\System32\drprov.dll
           6.1.7600.16385 - 6.1.7600.16385 (win7_rtm.090713-1255)
           Microsoft Remote Desktop Session Host Server Network Provider
[67460000] C:\Windows\system32\IconCodecService.dll
           6.1.7600.16385 - 6.1.7600.16385 (win7_rtm.090713-1255)
           Converts a PNG part of the icon to a legacy bmp icon
[68130000] C:\Windows\system32\slc.dll
           6.1.7600.16385 - 6.1.7600.16385 (win7_rtm.090713-1255)
           Software Licensing Client Dll
[68140000] C:\Windows\system32\olepro32.dll
           6.1.7601.17514 - 6.1.7601.17514
[686F0000] C:\Windows\SysWOW64\mshtml.dll
           8.0.7601.17874 - 8.00.7600.16385 (win7_rtm.090713-1255)
           Microsoft (R) HTML Viewer
[68D50000] C:\Windows\system32\DUI70.dll
           6.1.7600.16385 - 6.1.7600.16385 (win7_rtm.090713-1255)
           Windows DirectUI Engine
[69190000] C:\Windows\SysWOW64\ATL.DLL
           3.5.2284.0 - 3.05.2284
           ATL Module for Windows XP (Unicode)
[691B0000] C:\Windows\SysWOW64\msls31.dll
           3.10.349.0 - 3.10.349.0
           Microsoft Line Services library file
[691E0000] C:\Windows\system32\explorerframe.dll
           6.1.7601.17514 - 6.1.7600.16385 (win7_rtm.090713-1255)
           ExplorerFrame
[69410000] C:\Windows\system32\WindowsCodecs.dll
           6.1.7601.17514 - 6.1.7601.17514 (win7sp1_rtm.101119-1850)
           Microsoft Windows Codecs Library
[6C8C0000] C:\Windows\SysWOW64\pngfilt.dll
           8.0.7600.16385 - 8.00.7600.16385 (win7_rtm.090713-1255)
           IE PNG plugin image decoder
[6C910000] C:\Windows\system32\MLANG.dll
           6.1.7600.16385 - 6.1.7600.16385 (win7_rtm.090713-1255)
           Multi Language Support DLL
[6D090000] C:\Windows\SysWOW64\ieframe.dll
           8.0.7601.17874 - 8.00.7600.16385 (win7_rtm.090713-1255)
           Internet Browser
[6E3F0000] C:\Windows\system32\ImgUtil.dll
           8.0.7601.17514 - 8.00.7601.17514 (win7sp1_rtm.101119-1850)
           IE plugin image decoder support DLL
[6E400000] C:\Windows\system32\DUser.dll
           6.1.7600.16385 - 6.1.7600.16385 (win7_rtm.090713-1255)
           Windows DirectUser Engine
[70580000] C:\Windows\System32\netshell.dll
           6.1.7601.17514 - 6.1.7600.16385 (win7_rtm.090713-1255)
           Network Connections Shell
[70A60000] C:\Windows\System32\msxml6.dll
           6.30.7601.17857 - 6.30.7601.17857
           MSXML 6.0 SP3
[71740000] C:\Windows\system32\msimtf.dll
           6.1.7600.16385 - 6.1.7600.16385 (win7_rtm.090713-1255)
           Active IMM Server DLL
[71750000] C:\Windows\system32\xmllite.dll
           1.3.1001.0 - 1.3.1001.0
           Microsoft XmlLite Library
[71960000] C:\Program Files (x86)\Internet Explorer\ieproxy.dll
           8.0.7601.17874 - 8.00.7601.17874 (win7sp1_gdr.120626-1620)
           IE ActiveX Interface Marshaling Library
[71AC0000] C:\Windows\system32\browcli.dll
           6.1.7601.17887 - 6.1.7601.17887 (win7sp1_gdr.120704-0720)
           Browser Service Client DLL
[71AD0000] C:\Windows\system32\dfscli.dll
           6.1.7600.16385 - 6.1.7600.16385 (win7_rtm.090713-1255)
           Windows NT Distributed File System Client DLL
[71AE0000] C:\Windows\SysWOW64\fdWNet.dll
           6.1.7600.16385 - 6.1.7600.16385 (win7_rtm.090713-1255)
           Function Discovery WNet Provider Dll
[71AF0000] C:\Windows\System32\wcnapi.dll
           6.1.7600.16385 - 6.1.7600.16385 (win7_rtm.090713-1255)
           Windows Connect Now - API Helper DLL
[71B10000] C:\Windows\System32\fdwcn.dll
           6.1.7600.16385 - 6.1.7600.16385 (win7_rtm.090713-1255)
           Windows Connect Now - Config Function Discovery Provider DLL
[71B30000] C:\Windows\SysWOW64\FunDisc.dll
           6.1.7600.16385 - 6.1.7600.16385 (win7_rtm.090713-1255)
           Function Discovery Dll
[71B60000] C:\Windows\system32\SearchFolder.dll
           6.1.7601.17514 - 6.1.7600.16385 (win7_rtm.090713-1255)
           SearchFolder
[71C00000] C:\Windows\SysWOW64\actxprxy.dll
           6.1.7601.17514 - 6.1.7601.17514 (win7sp1_rtm.101119-1850)
           ActiveX Interface Marshaling Library
[71C50000] C:\Windows\System32\StructuredQuery.dll
           7.0.7601.17514 - 7.00.7601.17514 (win7sp1_rtm.101119-1850)
           Structured Query
[71CB0000] C:\Program Files (x86)\Common Files\microsoft shared\ink\tiptsf.dll
           6.1.7600.16385 - 6.1.7600.16385 (win7_rtm.090713-1255)
           Tablet PC Input Panel Text Services Framework
[722A0000] C:\Windows\SysWOW64\fdproxy.dll
           6.1.7600.16385 - 6.1.7600.16385 (win7_rtm.090713-1255)
           Function Discovery Proxy Dll
[722B0000] C:\Windows\System32\npmproxy.dll
           6.1.7600.16385 - 6.1.7600.16385 (win7_rtm.090713-1255)
           Network List Manager Proxy
[72380000] C:\Windows\SysWOW64\thumbcache.dll
           6.1.7601.17514 - 6.1.7600.16385 (win7_rtm.090713-1255)
           Microsoft Thumbnail Cache
[72480000] C:\Windows\system32\RICHED20.DLL
           5.31.23.1230 - 5.31.23.1230
           Rich Text Edit Control, v3.1
[72500000] C:\Windows\system32\msimg32.dll
           6.1.7600.16385 - 6.1.7600.16385 (win7_rtm.090713-1255)
           GDIEXT Client DLL
[72810000] C:\Windows\system32\dtsh.dll
           6.1.7600.16385 - 6.1.7600.16385 (win7_rtm.090713-1255)
           Detection and Sharing Status API
[729F0000] C:\Windows\system32\FirewallAPI.dll
           6.1.7600.16385 - 6.1.7601.17514 (win7sp1_rtm.101119-1850)
           Windows Firewall API
[72AB0000] C:\Windows\system32\SXS.DLL
           6.1.7601.17514 - 6.1.7600.16385 (win7_rtm.090713-1255)
           Fusion 2.5
[72B20000] C:\Windows\system32\NTDSAPI.dll
           6.1.7600.16385 - 6.1.7600.16385 (win7_rtm.090713-1255)
           Active Directory Domain Services API
[72B40000] C:\Windows\system32\wbem\fastprox.dll
           6.1.7601.17514 - 6.1.7601.17514 (win7sp1_rtm.101119-1850)
           WMI Custom Marshaller
[72D20000] C:\Windows\system32\wbem\wbemsvc.dll
           6.1.7600.16385 - 6.1.7600.16385 (win7_rtm.090713-1255)
           WMI
[73070000] C:\Windows\WinSxS\x86_microsoft.windows.common-controls_6595b64144ccf1df_6.0.7601.17514_none_41e6975e2bd6f2b2\comctl32.dll
           6.10.7601.17514 - 6.10 (win7_rtm.090713-1255)
           User Experience Controls Library
[73470000] C:\Windows\system32\NetworkItemFactory.dll
           6.1.7600.16385 - 6.1.7600.16385 (win7_rtm.090713-1255)
           NetworkItem Factory
[73630000] C:\Windows\System32\Secur32.dll
           6.1.7601.17856 - 6.1.7601.17856 (win7sp1_gdr.120601-1505)
           Security Support Provider Interface
[73640000] C:\Windows\system32\dwmapi.dll
           6.1.7600.16385 - 6.1.7600.16385 (win7_rtm.090713-1255)
           Microsoft Desktop Window Manager API
[73660000] C:\Windows\system32\sfc_os.DLL
           6.1.7600.16385 - 6.1.7600.16385 (win7_rtm.090713-1255)
           Windows File Protection
[73670000] C:\Windows\system32\sfc.dll
           6.1.7600.16385 - 6.1.7600.16385 (win7_rtm.090713-1255)
           Windows File Protection
[736B0000] C:\Windows\system32\uxtheme.dll
           6.1.7600.16385 - 6.1.7600.16385 (win7_rtm.090713-1255)
           Microsoft UxTheme Library
[73950000] C:\Windows\system32\Userenv.dll
           6.1.7601.17514 - 6.1.7600.16385 (win7_rtm.090713-1255)
           Userenv
[73AA0000] C:\Windows\system32\WINSTA.dll
           6.1.7601.17514 - 6.1.7601.17514 (win7sp1_rtm.101119-1850)
           Winstation Library
[73B30000] C:\Windows\System32\wship6.dll
           6.1.7600.16385 - 6.1.7600.16385 (win7_rtm.090713-1255)
           Winsock2 Helper DLL (TL/IPv6)
[73B70000] C:\Windows\system32\RpcRtRemote.dll
           6.1.7601.17514 - 6.1.7601.17514 (win7sp1_rtm.101119-1850)
           Remote RPC Extension
[73B80000] C:\Windows\system32\rsaenh.dll
           6.1.7600.16385 - 6.1.7600.16385 (win7_rtm.090713-1255)
           Microsoft Enhanced Cryptographic Provider
[73BC0000] C:\Windows\system32\CRYPTSP.dll
           6.1.7600.16385 - 6.1.7600.16385 (win7_rtm.090713-1255)
           Cryptographic Service Provider API
[73BE0000] C:\Windows\system32\wbemcomn.dll
           6.1.7601.17514 - 6.1.7601.17514 (win7sp1_rtm.101119-1850)
           WMI
[73C40000] C:\Windows\system32\wbem\wbemprox.dll
           6.1.7600.16385 - 6.1.7600.16385 (win7_rtm.090713-1255)
           WMI
[73CF0000] C:\Windows\system32\PROPSYS.dll
           7.0.7601.17514 - 7.00.7600.16385 (win7_rtm.090713-1255)
           Microsoft Property System
[73E30000] C:\Windows\system32\oleacc.dll
           7.0.0.0 - 7.0.0.0 (win7sp1_gdr.110826-1504)
           Active Accessibility Core Component
[73E70000] C:\Windows\system32\winspool.drv
           6.1.7601.17514 - 6.1.7600.16385 (win7_rtm.090713-1255)
           Windows Spooler Driver
[73ED0000] C:\Windows\system32\wtsapi32.dll
           6.1.7601.17514 - 6.1.7601.17514 (win7sp1_rtm.101119-1850)
           Windows Remote Desktop Session Host Server SDK APIs
[73EE0000] C:\Windows\system32\mpr.dll
           6.1.7600.16385 - 6.1.7600.16385 (win7_rtm.090713-1255)
           Multiple Provider Router DLL
[73F00000] C:\Windows\system32\winmm.dll
           6.1.7601.17514 - 6.1.7600.16385 (win7_rtm.090713-1255)
           MCI API DLL
[73F40000] C:\Windows\system32\cscapi.dll
           6.1.7601.17514 - 6.1.7601.17514 (win7sp1_rtm.101119-1850)
           Offline Files Win32 API
[73F50000] C:\Windows\system32\rasadhlp.dll
           6.1.7600.16385 - 6.1.7600.16385 (win7_rtm.090713-1255)
           Remote Access AutoDial Helper
[73F60000] C:\Windows\System32\fwpuclnt.dll
           6.1.7601.17514 - 6.1.7600.16385 (win7_rtm.090713-1255)
           FWP/IPsec User-Mode API
[73FA0000] C:\Windows\WinSxS\x86_microsoft.vc90.crt_1fc8b3b9a1e18e3b_9.0.30729.6161_none_50934f2ebcb7eb57\MSVCR90.dll
           9.0.30729.6161 - 9.00.30729.6161
           Microsoft® C Runtime Library
[740E0000] C:\Windows\system32\ntmarta.dll
           6.1.7600.16385 - 6.1.7600.16385 (win7_rtm.090713-1255)
           Windows NT MARTA provider
[74370000] C:\Windows\system32\version.dll
           6.1.7600.16385 - 6.1.7600.16385 (win7_rtm.090713-1255)
           Version Checking and File Installation Libraries
[743C0000] C:\Windows\System32\nlaapi.dll
           6.1.7601.17514 - 6.1.7601.17514 (win7sp1_rtm.101119-1850)
           Network Location Awareness 2
[743D0000] C:\Windows\system32\wkscli.dll
           6.1.7601.17514 - 6.1.7601.17514 (win7sp1_rtm.101119-1850)
           Workstation Service Client DLL
[743E0000] C:\Windows\system32\srvcli.dll
           6.1.7601.17514 - 6.1.7601.17514 (win7sp1_rtm.101119-1850)
           Server Service Client DLL
[74400000] C:\Windows\system32\netutils.dll
           6.1.7601.17514 - 6.1.7601.17514 (win7sp1_rtm.101119-1850)
           Net Win32 API Helpers DLL
[74410000] C:\Windows\system32\MSWSOCK.dll
           6.1.7601.17514 - 6.1.7600.16385 (win7_rtm.090713-1255)
           Microsoft Windows Sockets 2.0 Service Provider
[74450000] C:\Windows\system32\profapi.dll
           6.1.7600.16385 - 6.1.7600.16385 (win7_rtm.090713-1255)
           User Profile Basic API
[744F0000] C:\Windows\system32\DNSAPI.dll
           6.1.7601.17570 - 6.1.7600.16385 (win7_rtm.090713-1255)
           DNS Client API DLL
[748E0000] C:\Windows\system32\WSOCK32.dll
           6.1.7600.16385 - 6.1.7600.16385 (win7_rtm.090713-1255)
           Windows Socket 32-Bit DLL
[749F0000] C:\Windows\system32\NETAPI32.DLL
           6.1.7601.17887 - 6.1.7601.17887 (win7sp1_gdr.120704-0720)
           Net Win32 API DLL
[74A10000] C:\Windows\System32\wshtcpip.dll
           6.1.7600.16385 - 6.1.7600.16385 (win7_rtm.090713-1255)
           Winsock2 Helper DLL (TL/IPv4)
[74A80000] C:\Windows\system32\apphelp.dll
           6.1.7601.17514 - 6.1.7600.16385 (win7_rtm.090713-1255)
           Application Compatibility Client Library
[74AD0000] C:\Windows\system32\WINNSI.DLL
           6.1.7600.16385 - 6.1.7600.16385 (win7_rtm.090713-1255)
           Network Store Information RPC interface
[74AE0000] C:\Windows\system32\IPHLPAPI.DLL
           6.1.7601.17514 - 6.1.7600.16385 (win7_rtm.090713-1255)
           IP Helper API
[74CB0000] C:\Windows\syswow64\CRYPTBASE.dll
           6.1.7600.16385 - 6.1.7600.16385 (win7_rtm.090713-1255)
           Base cryptographic API DLL
[74CC0000] C:\Windows\syswow64\SspiCli.dll
           6.1.7601.17856 - 6.1.7601.17856 (win7sp1_gdr.120601-1505)
           Security Support Provider Interface
[74D20000] C:\Windows\syswow64\msvcrt.dll
           7.0.7601.17744 - 7.0.7601.17744 (win7sp1_gdr.111215-1535)
           Windows NT CRT DLL
[74DD0000] C:\Windows\syswow64\RPCRT4.dll
           6.1.7601.17514 - 6.1.7600.16385 (win7_rtm.090713-1255)
           Remote Procedure Call Runtime
[74EC0000] C:\Windows\syswow64\DEVOBJ.dll
           6.1.7601.17621 - 6.1.7601.17621 (win7sp1_gdr.110523-2108)
           Device Information Set DLL
[74F10000] C:\Windows\syswow64\ole32.dll
           6.1.7601.17514 - 6.1.7600.16385 (win7_rtm.090713-1255)
           Microsoft OLE for Windows
[75070000] C:\Windows\system32\IMM32.DLL
           6.1.7601.17514 - 6.1.7601.17514 (win7sp1_rtm.101119-1850)
           Multi-User Windows IMM32 API Client DLL
[75160000] C:\Windows\syswow64\LPK.dll
           6.1.7600.16385 - 6.1.7600.16385 (win7_rtm.090713-1255)
           Language Pack
[75170000] C:\Windows\syswow64\WLDAP32.dll
           6.1.7601.17514 - 6.1.7600.16385 (win7_rtm.090713-1255)
           Win32 LDAP API DLL
[751C0000] C:\Windows\syswow64\PSAPI.DLL
           6.1.7600.16385 - 6.1.7600.16385 (win7_rtm.090713-1255)
           Process Status Helper
[751D0000] C:\Windows\syswow64\USER32.dll
           6.1.7601.17514 - 6.1.7601.17514 (win7sp1_rtm.101119-1850)
           Multi-User Windows USER API Client DLL
[752D0000] C:\Windows\syswow64\WINTRUST.dll
           6.1.7601.17787 - 6.1.7601.17787 (win7sp1_gdr.120229-1502)
           Microsoft Trust Verification APIs
[75300000] C:\Windows\syswow64\GDI32.dll
           6.1.7601.17514 - 6.1.7601.17514 (win7sp1_rtm.101119-1850)
           GDI Client DLL
[753F0000] C:\Windows\syswow64\CFGMGR32.dll
           6.1.7601.17621 - 6.1.7601.17621 (win7sp1_gdr.110523-2108)
           Configuration Manager DLL
[75420000] C:\Windows\syswow64\CLBCatQ.DLL
           2001.12.8530.16385 - 2001.12.8530.16385 (win7_rtm.090713-1255)
           COM+ Configuration Catalog
[754B0000] C:\Windows\SysWOW64\sechost.dll
           6.1.7600.16385 - 6.1.7600.16385 (win7_rtm.090713-1255)
           Host for SCM/SDDL/LSA Lookup APIs
[754D0000] C:\Windows\syswow64\oleaut32.dll
           6.1.7601.17676 - 6.1.7601.17676
[75560000] C:\Windows\syswow64\kernel32.dll
           6.1.7601.17651 - 6.1.7600.16385 (win7_rtm.090713-1255)
           Windows NT BASE API Client DLL
[75670000] C:\Windows\syswow64\NSI.dll
           6.1.7600.16385 - 6.1.7600.16385 (win7_rtm.090713-1255)
           NSI User-mode interface DLL
[75680000] C:\Windows\syswow64\SHLWAPI.dll
           6.1.7601.17514 - 6.1.7600.16385 (win7_rtm.090713-1255)
           Shell Light-weight Utility Library
[756E0000] C:\Windows\syswow64\SETUPAPI.dll
           6.1.7601.17514 - 6.1.7600.16385 (win7_rtm.090713-1255)
           Windows Setup API
[75880000] C:\Windows\syswow64\CRYPT32.dll
           6.1.7601.17514 - 6.1.7600.16385 (win7_rtm.090713-1255)
           Crypto API32
[759A0000] C:\Windows\syswow64\wininet.dll
           8.0.7601.17874 - 8.00.7600.16385 (win7_rtm.090713-1255)
           Internet Extensions for Win32
[75AA0000] C:\Windows\syswow64\urlmon.dll
           8.0.7601.17874 - 8.00.7600.16385 (win7_rtm.090713-1255)
           OLE32 Extensions for Win32
[75BE0000] C:\Windows\syswow64\WS2_32.dll
           6.1.7601.17514 - 6.1.7600.16385 (win7_rtm.090713-1255)
           Windows Socket 2.0 32-Bit DLL
[75C20000] C:\Windows\syswow64\comdlg32.dll
           6.1.7601.17514 - 6.1.7600.16385 (win7_rtm.090713-1255)
           Common Dialogs DLL
[75CA0000] C:\Windows\syswow64\KERNELBASE.dll
           6.1.7601.17651 - 6.1.7600.16385 (win7_rtm.090713-1255)
           Windows NT BASE API Client DLL
[75CF0000] C:\Windows\syswow64\USP10.dll
           1.626.7601.17514 - 1.0626.7601.17514 (win7sp1_rtm.101119-1850)
           Uniscribe Unicode script processor
[75DA0000] C:\Windows\syswow64\shell32.dll
           6.1.7601.17859 - 6.1.7601.17514 (win7sp1_rtm.101119-1850)
           Windows Shell Common Dll
[769F0000] C:\Windows\syswow64\iertutil.dll
           8.0.7601.17874 - 8.00.7601.17874 (win7sp1_gdr.120626-1620)
           Run time utility for Internet Explorer
[76BF0000] C:\Windows\syswow64\MSCTF.dll
           6.1.7600.16385 - 6.1.7600.16385 (win7_rtm.090713-1255)
           MSCTF Server DLL
[76CC0000] C:\Windows\syswow64\ADVAPI32.dll
           6.1.7601.17514 - 6.1.7600.16385 (win7_rtm.090713-1255)
           Advanced Windows 32 Base API
[77130000] C:\Windows\syswow64\MSASN1.dll
           6.1.7601.17514 - 6.1.7601.17514 (win7sp1_rtm.101119-1850)
           ASN.1 Runtime APIs
[77160000] C:\Windows\SysWOW64\ntdll.dll
           6.1.7601.17725 - 6.1.7600.16385 (win7_rtm.090713-1255)
           NT Layer DLL
------------------------------------------------------------------------------
Active Controls hierarchy:
TPyIDEMainForm "PyIDEMainForm"
------------------------------------------------------------------------------
msg170433 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2012-09-13 12:28
That isn't a valid Python program, and you appear to be reporting a bug in a third party tool.  You should report your problem to the appropriate community for your IDE tool.
msg170435 - (view) Author: Cioroianu Nicolin (nicolincioroianu) Date: 2012-09-13 12:40
Hello David,

I'm beginner with this tool, also a beginner programmer.
I submitted the problem to IDE tool PyScripter.
Just wanted to help Python improvement. I'm looking to improve also my experience.
Have a nice day!:)

Regards, 
Nicolin

________________________________
 From: R. David Murray <report@bugs.python.org>
To: nicolincioroianu@yahoo.com 
Sent: Thursday, September 13, 2012 2:28 PM
Subject: [issue15937] Assertion failure (C:\Delphi\progs32\Python\PythonIDE\cPyRemoteDebugger.pas, line 1175).

R. David Murray added the comment:

That isn't a valid Python program, and you appear to be reporting a bug in a third party tool.  You should report your problem to the appropriate community for your IDE tool.

----------
nosy: +r.david.murray
resolution:  -> invalid
stage:  -> committed/rejected
status: open -> closed

_______________________________________
Python tracker <report@bugs.python.org>
<http://bugs.python.org/issue15937>
_______________________________________
msg170437 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2012-09-13 12:43
Thanks for wanting to help.  If the PyScripter folks trace it back to a problem with Python, please feel free to reopen this issue.
msg170438 - (view) Author: Cioroianu Nicolin (nicolincioroianu) Date: 2012-09-13 12:58
Hello David,

PyScripter Answer:

Thanks for the bug report. This assertion happens when PyScripter is waiting for the remote engine to shut-down for a long time without success.  This might mean that either the system is very busy or more likely something is preventing the remote engine from shutting down, such as waiting in a blocked state.  What you can do in such cases is to use the task manager to kill the engine (appears as a process "python.exe") and then reinitialize the remote engine.

Regards 

Kiriakos

PS  Maybe the problem happens with the statement:

m= "IT_SetBusParameters(param1,param2,param3,param4,param5,param6)"  

I think that can't be a problem with the upper line with that assignation.

Regards,

Nicolin

________________________________
 From: R. David Murray <report@bugs.python.org>
To: nicolincioroianu@yahoo.com 
Sent: Thursday, September 13, 2012 2:43 PM
Subject: [issue15937] Assertion failure (C:\Delphi\progs32\Python\PythonIDE\cPyRemoteDebugger.pas, line 1175).

R. David Murray added the comment:

Thanks for wanting to help.  If the PyScripter folks trace it back to a problem with Python, please feel free to reopen this issue.

----------

_______________________________________
Python tracker <report@bugs.python.org>
<http://bugs.python.org/issue15937>
_______________________________________
History
Date User Action Args
2012-09-13 12:58:13nicolincioroianusetmessages: + msg170438
2012-09-13 12:43:32r.david.murraysetmessages: + msg170437
2012-09-13 12:40:40nicolincioroianusetmessages: + msg170435
2012-09-13 12:28:36r.david.murraysetstatus: open -> closed

nosy: + r.david.murray
messages: + msg170433

resolution: not a bug
stage: resolved
2012-09-13 08:54:50nicolincioroianucreate